var db = require('../lib/fakedb').init('test.fdb');

// setup an index on username so we can search it      
db.index('username');

// add a record
db.set('jaydee', {
  age: 32,
  name: 'Jesus A. Domingo',
  username: 'jaydee',
  password: 'secret'
});

// get a record
db.get('jaydee', function (key, value) {
  if (value == null) {
    console.log('No record for key [' + key + ']');
  } else {
    console.log(
      'Name: ' + value.name + '\n' +
      'Age: ' + value.age
    );
  }
});

// search through indexed records
db.search({ username: 'jaydee' }, function (matches) {
  if (!matches.length) {
    console.log('Record not found!');
  } else {
    console.log(
      'Username: ' + matches[0].username + '\n' +
      'Password: ' + matches[0].password
    );
  } 
});

// remove a record
db.remove('jaydee');

// get the number of records
if (db.count() === 0) {
  console.log('Database now empty.');
}
